#coding:utf-8
from PyQt4 import QtGui
from PyQt4 import QtCore
from AppActivItem import AppActivItem
class AppActivItems(QtGui.QLabel):
    """

    """
    def __init__(self,parent=None):
        QtGui.QLabel.__init__(self,parent)
        self.setAttribute(QtCore.Qt.WA_DeleteOnClose)
        self.activDic=parent.activDic
        self.stripHeight=parent.stripHeight
        self.setGeometry(0,0,parent.geometry().width(),len(self.activDic)*self.stripHeight)
        itemNo=0
        for k in self.activDic.keys():
            AppActivItem(self,k,self.activDic[k],itemNo)
            itemNo+=1
        self.alterSignal=QtCore.pyqtSignal()
        self.connect(self,QtCore.SIGNAL('alterSignal'),parent.alter)
        # print self.geometry()


